<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>
<p align="center">
<a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a>| <a href="/README_ES.md" target="_blank"> Español</a> | <a href="/README_TR.md" target="_blank"> Turkish</a> | <a href="/README_ID.md" target="_blank"> Bahasa Indonesia</a> | <a href="/README_FR.md" target="_blank"> Français</a>
</p>

La feuille de route du développeur Android 2022 propose des parcours d'apprentissage pour comprendre le développement Android. Vous pouvez lire la feuille de route en suivant le chemin de la ligne au milieu de la carte.

Chaque nœud indique les concepts des systèmes Android, du SDK Android et des bibliothèques généralement utilisées. Il serait utile de se référer à [la référence des développeurs Android](https://developer.android.com/reference) ou à GitHub pour les terminologies spécifiques. <br>

En outre, **vous n'avez pas besoin de tout apprendre de cette feuille de route**. Nous vous recommandons donc de ne lire que les sections qui vous seront utiles.

## Feuille de route

![feuille de route](https://raw.githubusercontent.com/skydoves/android-developer-roadmap/main/images/android_developer_roadmap.png)

## Articles

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

La feuille de route du développeur Android 2022 est conçue pour vous donner une compréhension complète de l'écosystème Android actuel et propose des parcours d'apprentissage en cours de route pour vous aider à saisir les concepts.<br>

Dans cette série en plusieurs parties, vous apprendrez tout sur l'écosystème de développement Android en suivant notre Feuille de route du développeur Android 2022, ce qui vous donnera une vision plus globale de la communauté Android et de la façon dont vous pouvez progresser en tant que développeur.

- **[The Android Platform: The 2022 Android Developer Roadmap – Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[App Components: The Android Developer Roadmap – Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[App Navigation and Jetpack: The Android Developer Roadmap – Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**
- **[Design Patterns and Architecture: The Android Developer Roadmap – Part 4](https://getstream.io/blog/design-patterns-and-architecture-the-android-developer-roadmap-part-4/)**

Si vous souhaitez être informé de la publication des prochains articles, rejoignez les **[observateurs](https://github.com/skydoves/android-developer-roadmap/watchers)** sur GitHub ou suivez **[Stream](https://twitter.com/getstream_io)** sur Twitter. Vous pouvez également suivre __[l'auteur](https://github.com/skydoves)__ de ce dépôt sur GitHub.

## Application de démonstration

Ce projet inclut une démo qui montre l'image de la feuille de route. Vous pouvez télécharger le dernier APK sur les [releases](https://github.com/skydoves/android-developer-roadmap/releases).

## Contribution

Ce projet ne couvre pas tout, donc si quelque chose manque ou doit être corrigé, tout le monde peut contribuer à ce projet en suivant les guides de [CONTRIBUTION](https://github.com/skydoves/android-developer-roadmap/blob/main/CONTRIBUTING.md).

## Inspiration

Ce projet est inspiré de [la feuille de route pour les développeurs Android 2020](https://github.com/mobile-roadmap/android-developer-roadmap). Merci donc aux auteurs qui ont fourni les idées de la feuille de route. De plus, vous pouvez apprendre beaucoup de choses grâce à ce référentiel.

## Vous trouvez ce projet utile ? ❤️

Soutenez-le en rejoignant les __[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ pour ce référentiel. ⭐ <br>
Et __[suivez-moi](https://github.com/skydoves)__ pour mes prochaines créations ! 🤩

```
Copyright 2021 Stream.IO, Inc. Tous droits réservés.

Licencié sous la Licence Apache, Version 2.0 (la "Licence");
vous ne pouvez pas utiliser ce fichier sauf en conformité avec la Licence.
Vous pouvez obtenir une copie de la licence à l'adresse

   http://www.apache.org/licenses/LICENSE-2.0

À moins que la loi applicable ne l'exige ou que cela ne fasse l'objet d'un accord écrit, le logiciel
distribué sous la Licence est distribué sur une base "AS IS", SANS GARANTIES OU CONDITIONS DE QUELQUE NATURE QUE CE SOIT, explicites ou implicites.
Voir la Licence pour connaître les termes spécifiques régissant les autorisations et les et les limitations de la Licence.
```